Package org.drinkless.tdlib

# Class TdApi.GetVideoChatInviteLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.HttpUrl>
org.drinkless.tdlib.TdApi.GetVideoChatInviteLink

Enclosing class:
  `TdApi`

public static class TdApi.GetVideoChatInviteLink extends TdApi.Function<TdApi.HttpUrl>
Returns invite link to a video chat in a public chat.

Returns `HttpUrl`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canSelfUnmute`
  Pass true if the invite link needs to contain an invite hash, passing which to joinVideoChat would allow the invited user to unmute themselves.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Group call identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetVideoChatInviteLink()`
  Default constructor for a function, which returns invite link to a video chat in a public chat.
  `GetVideoChatInviteLink(int groupCallId, boolean canSelfUnmute)`
  Creates a function, which returns invite link to a video chat in a public chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier.

  - ### canSelfUnmute

    public boolean canSelfUnmute
    Pass true if the invite link needs to contain an invite hash, passing which to joinVideoChat would allow the invited user to unmute themselves. Requires groupCall.canBeManaged right.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetVideoChatInviteLink

    public GetVideoChatInviteLink()
    Default constructor for a function, which returns invite link to a video chat in a public chat.

    Returns `HttpUrl`

  - ### GetVideoChatInviteLink

    public GetVideoChatInviteLink(int groupCallId, boolean canSelfUnmute)
    Creates a function, which returns invite link to a video chat in a public chat.

    Returns `HttpUrl`

    Parameters:
      `groupCallId` - Group call identifier.
      `canSelfUnmute` - Pass true if the invite link needs to contain an invite hash, passing which to joinVideoChat would allow the invited user to unmute themselves. Requires groupCall.canBeManaged right.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.HttpUrl>`
    Returns:
      this.CONSTRUCTOR